# Mandelbrot Set 
An interactive interface where you can navigate the Mandelbrot Set.

### Controls
<kbd>W</kbd> - Up
<br />
<kbd>A</kbd> - Left
<br />
<kbd>S</kbd> - Down
<br />
<kbd>D</kbd> - Right

<kbd>Q</kbd> Zoom Out
<br />
<kbd>E</kbd> Zoom In


### Build Instructions
Due to my current configuration (which is one that prioritizes quick development), Bevy requires
some dependencies in order to build this project. These dependencies are `clang`, `lld`, and `llvm`. 

Also, this program requires Rust Nightly (as of 2020-11-26)

Once done, you can build the program with `cargo build`, or `cargo build --release`

### Run Instructions
You can either execut the compiled binary, or use cargo and run `cargo run --release`


### TODO
* Make Zooming feel more natural (where you zoom to is fixed, and not centered)
* Make the amount of iterations done when calculating the Mandelbrot set configurable
    * preferrably with a keybind
* Add smooth colouring 
    * Maybe look into histograms?
